companion_proxy_client_free
companion_proxy_client_new
companion_proxy_client_start_service
companion_proxy_client_t
companion_proxy_device_event_cb_t
companion_proxy_error_t
companion_proxy_get_device_registry
companion_proxy_get_value_from_registry
companion_proxy_receive
companion_proxy_send
COMPANION_PROXY_SERVICE_NAME
companion_proxy_start_forwarding_service_port
companion_proxy_start_listening_for_devices
companion_proxy_stop_forwarding_service_port
companion_proxy_stop_listening_for_devices

## companion_proxy_client_new()

LIBIMOBILEDEVICE_API companion_proxy_error_t companion_proxy_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | companion_proxy_client_t * | client )

Connects to the companion_proxy service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated companion_proxy_client_t upon successful return. Must be freed using companion_proxy_client_free() after use.

Returns
  COMPANION_PROXY_E_SUCCESS on success, COMPANION_PROXY_E_INVALID_ARG when the arguments are invalid, or an COMPANION_PROXY_E_* error code otherwise.